## lifeograph 1.2.1

=== CMakeLists.txt ===
#    Copyright (C) 2013 Ahmet Öztürk (aoz_2@yahoo.com)
#
#    This file is part of Lifeograph.
#
#    Lifeograph is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Lifeograph is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Lifeograph.  If not, see <http://www.gnu.org/licenses/>.


cmake_minimum_required( VERSION 2.6 )
project( Lifeograph )

include( ${PROJECT_SOURCE_DIR}/cmake/definitions.cmake )

add_definitions( -Wall -DHAVE_CONFIG_H )

# DEBUG BUILD
if( ${CMAKE_BUILD_TYPE} MATCHES Debug )
    set( DEBUG_BUILD 1 )
else()
    set( DEBUG_BUILD 0 )
endif()

# PACKAGES
find_package( PkgConfig REQUIRED )

find_program( INTLTOOL "intltool-merge" )
if( ${INTLTOOL} MATCHES "INTLTOOL-NOTFOUND" )
    message( "Program needed for building Lifeograph not found: intltool" )
    return()
endif()

find_library( GCRYPT gcrypt )
if( ${GCRYPT} MATCHES "GCRYPT-NOTFOUND" )
    message( "Dev module needed for building Lifeograph not found: gcrypt" )
    return()
endif()

pkg_check_modules( GTKMM REQUIRED gtkmm-3.0>=3.12 )
if( NOT GTKMM_FOUND )
    message( "Dev module needed for building Lifeograph not found: gtkmm-3.0 (>=3.12)" )
    return()
endif()

pkg_check_modules( ENCHANT REQUIRED enchant )
if( NOT ENCHANT_FOUND )
    message( "Dev module needed for building Lifeograph not found: enchant" )
    return()
endif()

# CONFIGURATION HEADER FILE
configure_file( ${PROJECT_SOURCE_DIR}/config.h.in ${LOCAL_INCL_DIR}/config.h )

# add path of config.h
include_directories( ${LOCAL_INCL_DIR} )

include_directories( ${GTKMM_INCLUDE_DIRS} ${ENCHANT_INCLUDE_DIRS} )

#link_directories( ${GTKMM_LIBRARY_DIRS} ${ENCHANT_LIBRARY_DIRS} )

set( CMAKE_RUNTIME_OUTPUT_DIRECTORY ${BIN_DIR} )

# TRANSLATION FILE OPTIONS INVOKED MANUALLY WHEN REQUIRED
add_custom_command( OUTPUT ${pot_file}
                    COMMAND intltool-update -p -g ${PACKAGE_NAME}
                    DEPENDS ${SOURCE_FILES}
                    WORKING_DIRECTORY ${po_dir} )

add_custom_target( update-translations
                   COMMAND ${CMAKE_COMMAND} -P ${PROJECT_SOURCE_DIR}/cmake/msgmerge.cmake
                   DEPENDS ${pot_file}
                   WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )

# TRANSLATION FILE OPTIONS DURING BUILD
# based on Remmina code at https://github.com/FreeRDP/Remmina/blob/master/cmake/GETTEXT.cmake
set( GETTEXT_MSGFMT_EXECUTABLE msgfmt )
set( mo_files )

if( NOT EXISTS ${MO_DIR} )
    file( MAKE_DIRECTORY ${MO_DIR} )
endif()

file( GLOB po_files ${po_dir}/*.po )
foreach( po_file ${po_files} )
    get_filename_component( lang ${po_file} NAME_WE )
    set( mo_file ${MO_DIR}/${lang}.mo )
    add_custom_command( OUTPUT ${mo_file}
                        COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${mo_file} ${po_file}
                        DEPENDS ${po_file} )
    install( FILES ${mo_file}
             DESTINATION share/locale/${lang}/LC_MESSAGES
             RENAME ${PACKAGE_NAME}.mo )
    set( mo_files ${mo_files} ${mo_file} )
endforeach()

add_custom_command( OUTPUT ${desktop_file}
                    COMMAND intltool-merge -d -u -q po ${desktop_file_in} ${desktop_file}
                    DEPENDS ${desktop_file_in} )

add_custom_target( format-translations ALL DEPENDS ${mo_files} ${desktop_file} )

# TARGETS
add_executable( ${PACKAGE_NAME} ${SOURCE_FILES} )

target_link_libraries( ${PACKAGE_NAME} ${GTKMM_LIBRARIES} ${ENCHANT_LIBRARIES} ${GCRYPT} )

# CUSTOM TARGETS
if( ${CMAKE_BUILD_TYPE} MATCHES Debug )
# BACKUP
    add_custom_target( BACKUP ALL
                       COMMAND ${CMAKE_COMMAND} -P ${PROJECT_SOURCE_DIR}/cmake/backup.cmake
                       DEPENDS ${BIN_DIR}/${PACKAGE_NAME}
                       WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )

# rev_no.h and build_time.h
    add_custom_target( TARGET_STAMP_HEADERS
                       COMMAND ${CMAKE_COMMAND} -P ${PROJECT_SOURCE_DIR}/cmake/rev_no.cmake
                       WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )

	add_dependencies( ${PACKAGE_NAME} TARGET_STAMP_HEADERS )
endif()

# INSTALL
install( TARGETS ${PACKAGE_NAME} DESTINATION bin )

install( FILES lifeograph.appdata.xml DESTINATION share/appdata )


install( FILES icons/lifeograph-48.png DESTINATION share/pixmaps RENAME lifeograph.png )
install( FILES icons/lifeograph-256.png DESTINATION share/icons/hicolor/256x256/apps RENAME lifeograph.png )
install( FILES icons/lifeograph-128.png DESTINATION share/icons/hicolor/128x128/apps RENAME lifeograph.png )
install( FILES icons/lifeograph-64.png DESTINATION share/icons/hicolor/64x64/apps RENAME lifeograph.png )
install( FILES icons/lifeograph-48.png DESTINATION share/icons/hicolor/48x48/apps RENAME lifeograph.png )
install( FILES icons/lifeograph-32.png DESTINATION share/icons/hicolor/32x32/apps RENAME lifeograph.png )
install( FILES icons/lifeograph-24.png DESTINATION share/icons/hicolor/24x24/apps RENAME lifeograph.png )
install( FILES icons/lifeograph-22.png DESTINATION share/icons/hicolor/22x22/apps RENAME lifeograph.png )
install( FILES icons/lifeograph-16.png DESTINATION share/icons/hicolor/16x16/apps RENAME lifeograph.png )
install( FILES icons/scalable/lifeograph.svg DESTINATION share/icons/hicolor/scalable/apps )

#install( FILES ${desktop_file} DESTINATION share/applications )

install( FILES icons/chapter-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/chapter-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/diary-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/diary-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/entry-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/entry-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/favorite-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/filter-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/filter-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/filter_symbolic-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/gear-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/month-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/month-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/tag-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/tag-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/tag_category-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/tag_category-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/tag_theme-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/tag_theme-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/todo_canceled-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/todo_canceled-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/todo_done-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/todo_done-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/todo_progressed-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/todo_progressed-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/todo_open-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/todo_open-32.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/untagged-16.png DESTINATION share/${PACKAGE_NAME}/icons )
install( FILES icons/untagged-32.png DESTINATION share/${PACKAGE_NAME}/icons )

install( FILES ui/lifeograph.ui DESTINATION share/${PACKAGE_NAME}/ui )
install( FILES ui/import.ui DESTINATION share/${PACKAGE_NAME}/ui )

install( DIRECTORY diaries/ DESTINATION share/${PACKAGE_NAME}/diaries )

# xdg: mime info
install( CODE "execute_process( COMMAND ${CMAKE_COMMAND} -P ${PROJECT_SOURCE_DIR}/cmake/xdg.cmake
								WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )" )

# UNINSTALL
add_custom_target( uninstall
                   COMMAND ${CMAKE_COMMAND} -DDESTDIR=${CMAKE_INSTALL_PREFIX}
                   -P ${PROJECT_SOURCE_DIR}/cmake/uninstall.cmake
                   WORKING_DIRECTORY ${PROJECT_SOURCE_DIR} )

=== debian/changelog ===
lifeograph (1.2.1-1build1) wily; urgency=medium

  * No-change rebuild against libglibmm-2.4-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 21:40:48 +0000

lifeograph (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Update homepage.
  * Update Standards-Version to 3.9.6 .


 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 29 Jan 2015 19:32:18 +0000

=== debian/control ===
Source: lifeograph
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), intltool, cmake, libgtkmm-3.0-dev, libgcrypt20-dev, libenchant-dev
Standards-Version: 3.9.6
Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page

Package: lifeograph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Private digital diary
 Lifeograph is an off-line and private journal and note taking application
 for one's self evaluation of his/her own life.

## lifeograph 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,6 +49,10 @@
 if( NOT GTKMM_FOUND )
     message( "Dev module needed for building Lifeograph not found: gtkmm-3.0 (>=3.12)" )
     return()
+endif()
+
+if( GTKMM_VERSION VERSION_GREATER 3.17 )
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 endif()
 
 pkg_check_modules( ENCHANT REQUIRED enchant )
@@ -145,38 +149,8 @@
 install( FILES icons/lifeograph-22.png DESTINATION share/icons/hicolor/22x22/apps RENAME lifeograph.png )
 install( FILES icons/lifeograph-16.png DESTINATION share/icons/hicolor/16x16/apps RENAME lifeograph.png )
 install( FILES icons/scalable/lifeograph.svg DESTINATION share/icons/hicolor/scalable/apps )
-
-#install( FILES ${desktop_file} DESTINATION share/applications )
-
-install( FILES icons/chapter-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/chapter-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/diary-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/diary-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/entry-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/entry-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/favorite-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/filter-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/filter-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/filter_symbolic-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/gear-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/month-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/month-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/tag-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/tag-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/tag_category-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/tag_category-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/tag_theme-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/tag_theme-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/todo_canceled-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/todo_canceled-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/todo_done-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/todo_done-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/todo_progressed-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/todo_progressed-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/todo_open-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/todo_open-32.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/untagged-16.png DESTINATION share/${PACKAGE_NAME}/icons )
-install( FILES icons/untagged-32.png DESTINATION share/${PACKAGE_NAME}/icons )
+install( FILES icons/scalable/lifeograph-symbolic.svg DESTINATION share/icons/hicolor/scalable/apps )
+install( DIRECTORY icons/png/ DESTINATION share/${PACKAGE_NAME}/icons )
 
 install( FILES ui/lifeograph.ui DESTINATION share/${PACKAGE_NAME}/ui )
 install( FILES ui/import.ui DESTINATION share/${PACKAGE_NAME}/ui )

=== debian/changelog ===
lifeograph (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 Jan 2016 10:43:14 +0100

lifeograph (1.2.1-2) unstable; urgency=low

  * Backport upstream fix for gtkmm 3.18 version and later (closes: #805212).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 23 Nov 2015 21:20:44 +0100

=== debian/control ===
Source: lifeograph
Section: gnome
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), intltool, cmake, libgtkmm-3.0-dev (>= 3.18), libgcrypt20-dev, libenchant-dev
Standards-Version: 3.9.6
Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page

Package: lifeograph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Private digital diary
 Lifeograph is an off-line and private journal and note taking application
 for one's self evaluation of his/her own life.

## lifeograph 1.4.0~rc2

=== debian/changelog ===
lifeograph (1.4.0~rc2-1) unstable; urgency=low

  * New upstream pre-release, probably fixes #836966 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 18 Oct 2016 21:41:59 +0000

lifeograph (1.4.0~rc1-1) unstable; urgency=low

  * New upstream pre-release.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Aug 2016 18:16:50 +0000

## lifeograph 1.4.0

=== debian/changelog ===
lifeograph (1.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 17 Nov 2016 20:03:51 +0000

## lifeograph 1.4.1

=== debian/changelog ===
lifeograph (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 26 Mar 2017 16:07:43 +0000

## lifeograph 1.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#    Copyright (C) 2013 Ahmet Öztürk (aoz_2@yahoo.com)
+#    Copyright (C) 2013-2016 Ahmet Öztürk (aoz_2@yahoo.com)
 #
 #    This file is part of Lifeograph.
 #
@@ -51,15 +51,13 @@
     return()
 endif()
 
-if( GTKMM_VERSION VERSION_GREATER 3.17 )
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-endif()
-
 pkg_check_modules( ENCHANT REQUIRED enchant )
 if( NOT ENCHANT_FOUND )
     message( "Dev module needed for building Lifeograph not found: enchant" )
     return()
 endif()
+
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 
 # CONFIGURATION HEADER FILE
 configure_file( ${PROJECT_SOURCE_DIR}/config.h.in ${LOCAL_INCL_DIR}/config.h )

=== debian/changelog ===
lifeograph (1.4.2-2) unstable; urgency=medium

  * Fix FTBFS with GCC 8 (closes: #906488).
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 13 Sep 2018 15:59:59 +0000

lifeograph (1.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 05 Jun 2017 17:43:40 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), intltool, cmake, libgtkmm-3.0-dev (>= 3.18), libgcrypt20-dev, libenchant-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.2.1
 Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page
 
 Package: lifeograph

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/lifeograph

override_dh_auto_clean:
	dh_clean
	rm -rf $(CURDIR)/build/ $(CURDIR)/obj-*
	rm -f $(CURDIR)/lifeograph.desktop

override_dh_install:
	dh_install
	install -m0755 -d $(DESTDIR)/usr/share/applications/
	install -m0644 $(CURDIR)/build/lifeograph.desktop \
		$(DESTDIR)/usr/share/applications/
	install -m0755 -d $(DESTDIR)/usr/share/metainfo/
	mv $(DESTDIR)/usr/share/appdata/lifeograph.appdata.xml \
	       $(DESTDIR)/usr/share/metainfo/

%:
	dh $@ --parallel

.PHONY: override_dh_auto_clean override_dh_install

## lifeograph 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,15 +45,15 @@
     return()
 endif()
 
-pkg_check_modules( GTKMM REQUIRED gtkmm-3.0>=3.12 )
+pkg_check_modules( GTKMM REQUIRED gtkmm-3.0>=3.22 )
 if( NOT GTKMM_FOUND )
-    message( "Dev module needed for building Lifeograph not found: gtkmm-3.0 (>=3.12)" )
+    message( "Dev module needed for building Lifeograph not found: gtkmm-3.0 (>=3.22)" )
     return()
 endif()
 
-pkg_check_modules( ENCHANT REQUIRED enchant )
+pkg_check_modules( ENCHANT REQUIRED enchant-2 )
 if( NOT ENCHANT_FOUND )
-    message( "Dev module needed for building Lifeograph not found: enchant" )
+    message( "Dev module needed for building Lifeograph not found: enchant-2" )
     return()
 endif()
 
@@ -151,7 +151,7 @@
 install( DIRECTORY icons/png/ DESTINATION share/${PACKAGE_NAME}/icons )
 
 install( FILES ui/lifeograph.ui DESTINATION share/${PACKAGE_NAME}/ui )
-install( FILES ui/import.ui DESTINATION share/${PACKAGE_NAME}/ui )
+install( FILES ui/lifeograph-2.ui DESTINATION share/${PACKAGE_NAME}/ui )
 
 install( DIRECTORY diaries/ DESTINATION share/${PACKAGE_NAME}/diaries )

=== debian/changelog ===
lifeograph (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 11:
    - don't specify parallel to debhelper.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 21 Nov 2018 18:08:41 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), intltool, cmake, libgtkmm-3.0-dev (>= 3.18), libgcrypt20-dev, libenchant-dev
+Build-Depends: debhelper (>= 11), intltool, cmake, libgtkmm-3.0-dev (>= 3.22), libgcrypt20-dev, libenchant-dev
 Standards-Version: 4.2.1
 Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,6 @@
 	       $(DESTDIR)/usr/share/metainfo/
 
 %:
-	dh $@ --parallel
+	dh $@
 
 .PHONY: override_dh_auto_clean override_dh_install

## lifeograph 1.5.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -134,7 +134,7 @@
 # INSTALL
 install( TARGETS ${PACKAGE_NAME} DESTINATION bin )
 
-install( FILES lifeograph.appdata.xml DESTINATION share/appdata )
+install( FILES net.sourceforge.lifeograph.appdata.xml DESTINATION share/appdata )
 
 
 install( FILES icons/lifeograph-48.png DESTINATION share/pixmaps RENAME lifeograph.png )

=== debian/changelog ===
lifeograph (1.5.1.1-2) unstable; urgency=medium

  * Update Standards-Version to 4.4.1 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: Let dh_auto_configure pass a crossfile to meson
    (closes: #943691).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 29 Oct 2019 17:24:56 +0000

lifeograph (1.5.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch to the Meson build system.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 24 Jan 2019 20:48:58 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), intltool, cmake, libgtkmm-3.0-dev (>= 3.22), libgcrypt20-dev, libenchant-dev
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 11), intltool, meson, libgtkmm-3.0-dev (>= 3.22), libgcrypt20-dev, libenchant-dev, xdg-utils
+Standards-Version: 4.4.1
 Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page
 
 Package: lifeograph

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILDDIR=$(CURDIR)/builddir/
DESTDIR=$(CURDIR)/debian/lifeograph/

override_dh_auto_configure:
	dh_auto_configure -- --buildtype=release

override_dh_auto_install:
	dh_auto_install
	install -m0755 -d $(DESTDIR)/usr/share/metainfo/
	mv $(DESTDIR)/usr/share/appdata/net.sourceforge.lifeograph.appdata.xml \
	       $(DESTDIR)/usr/share/metainfo/

%:
	dh $@ --buildsystem=meson --builddirectory=$(BUILDDIR)

.PHONY: override_dh_auto_configure override_dh_auto_install

## lifeograph 1.6.1

=== debian/changelog ===
lifeograph (1.6.1-2) unstable; urgency=medium

  * Build with Enchant 2 (closes: #949174).
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 09 Feb 2020 10:44:10 +0000

lifeograph (1.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 09 Jan 2020 18:54:06 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), intltool, meson, libgtkmm-3.0-dev (>= 3.22), libgcrypt20-dev, libenchant-dev, xdg-utils
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 11), intltool, meson, libgtkmm-3.0-dev (>= 3.22), libgcrypt20-dev, libenchant-2-dev, xdg-utils, appstream
+Standards-Version: 4.5.0
 Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page
 
 Package: lifeograph

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,10 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	install -m0755 -d $(DESTDIR)/usr/share/metainfo/
-	mv $(DESTDIR)/usr/share/appdata/net.sourceforge.lifeograph.appdata.xml \
-	       $(DESTDIR)/usr/share/metainfo/
+	install -m0755 -d $(DESTDIR)/usr/share/mime/packages/
+	mv $(DESTDIR)/usr/share/mime/applications/x-lifeographdiary.xml \
+	       $(DESTDIR)/usr/share/mime/packages/
+	rmdir $(DESTDIR)/usr/share/mime/applications/
 
 %:
 	dh $@ --buildsystem=meson --builddirectory=$(BUILDDIR)

## lifeograph 2.0.0

=== debian/changelog ===
lifeograph (2.0.0-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 03 Jan 2021 19:05:32 -0800

lifeograph (2.0.0-2) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 24 Dec 2020 12:11:39 +0100

lifeograph (2.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 10 Dec 2020 19:57:22 +0100

lifeograph (2.0.0~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 22 Oct 2020 19:23:37 +0200

lifeograph (2.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 21 Sep 2020 21:55:40 +0200

lifeograph (2.0.0~rc1-2) experimental; urgency=medium

  * Backport upstream fix to hide unicode identifiers from GCC < 10.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 11 Aug 2020 21:05:30 +0200

lifeograph (2.0.0~rc1-1) experimental; urgency=medium

  * New major upstream release.
  * Update no_build_time.patch .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 09 Aug 2020 20:40:26 +0200

=== debian/control ===
Source: lifeograph
Section: gnome
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: appstream,
               debhelper-compat (= 11),
               intltool,
               libchamplain-gtk-0.12-dev,
               libenchant-2-dev,
               libgcrypt20-dev,
               libgtkmm-3.0-dev (>= 3.22),
               meson,
               xdg-utils
Standards-Version: 4.5.0
Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page

Package: lifeograph
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Private digital diary
 Lifeograph is an off-line and private journal and note taking application
 for one's self evaluation of his/her own life.

## lifeograph 2.0.1.1

=== debian/changelog ===
lifeograph (2.0.1.1-1) unstable; urgency=medium

  * New upstream release, fixing the following issues:
    - export to text not working with some of the non-ASCII characters,
    - error while building for Fedora 35 (rawhide): error: template with C
      linkage,
    - search button does nothing.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 06 Jun 2021 08:41:34 +0200

## lifeograph 2.0.2

=== debian/changelog ===
lifeograph (2.0.2-1) unstable; urgency=medium

  * New upstream release with important bugfixes.
  * Update Italian translation.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 05 Jul 2021 19:49:17 +0200

=== debian/control ===
Source: lifeograph
Section: gnome
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 11), intltool, meson,
 libgtkmm-3.0-dev (>= 3.22), libchamplain-gtk-0.12-dev,
 libgcrypt20-dev, libenchant-2-dev, xdg-utils, appstream
Standards-Version: 4.5.0
Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page

Package: lifeograph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Private digital diary
 Lifeograph is an off-line and private journal and note taking application
 for one's self evaluation of his/her own life.

## lifeograph 2.0.3

=== debian/changelog ===
lifeograph (2.0.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:55:13 +1100

lifeograph (2.0.3-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:32:48 +0000

lifeograph (2.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 28 Apr 2022 18:58:13 +0200

lifeograph (2.0.2-2) unstable; urgency=medium

  * Backport upstream fix to replace deprecated utimes() call with utime()
    (closes: #1009470).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 13 Apr 2022 21:53:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: lifeograph
 Section: gnome
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 11), intltool, meson,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper-compat (= 13), intltool, meson,
  libgtkmm-3.0-dev (>= 3.22), libchamplain-gtk-0.12-dev,
  libgcrypt20-dev, libenchant-2-dev, xdg-utils, appstream
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page
 
 Package: lifeograph

## lifeograph 3.0.0

=== debian/changelog ===
lifeograph (3.0.0-1) unstable; urgency=medium

  * New major upstream release (closes: #1018132).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 29 Dec 2024 15:20:03 +0100

lifeograph (3.0.0~rc2-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * Use no for Rules-Requires-Root.
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 10 Nov 2024 00:24:30 +0100

=== debian/control ===
Source: lifeograph
Section: gnome
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), meson, pkgconf, libgtkmm-4.0-dev,
 libenchant-2-dev, libshumate-dev, libgcrypt20-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page

Package: lifeograph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Private digital diary
 Lifeograph is an off-line and private journal and note taking application
 for one's self evaluation of his/her own life.

## lifeograph 3.0.1

=== debian/changelog ===
lifeograph (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update homepage.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 03 Mar 2025 19:43:18 +0100

## lifeograph 3.0.3

=== debian/changelog ===
lifeograph (3.0.3-2) unstable; urgency=medium

  * Backport upstream fix to loading theme icons that don't have a path.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 10 Jul 2025 16:41:35 +0200

lifeograph (3.0.3-1) unstable; urgency=medium

  * New upstream release:
    - generalize list type changes of paragraphs to the sibling paragraphs
      that already have the same list type,
    - added keyboard shortcuts for adding child and sibling entries that use
      the events to determine the relative entry,
    - added keyboard shortcuts for going up and down in the entry list without
      visiting filtered-out entries,
    - fixed opening non-writable diaries,
    - fixed dropping charts and tables into entry text,
    - fixed subheading suggestions in the smart add dialogs,
    - fixed and improved behavior of backspace in lists and indented
      paragraphs,
    - disabled dropping onto the text editor in read-only mode,
    - fixed dropping multi-line text,
    - fixed clearing filtered states from parents of non-filtered entries,
    - while creating new entries, do not inherit themes from relative entries,
      if they don't have any theme set,
    - fixed issues related to the password popover.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 22 Jun 2025 07:56:16 +0200

lifeograph (3.0.2-1) unstable; urgency=medium

  * New upstream release:
    - fixed crash when collapsing entries in the list,
    - redraw entry list upon completion of drag operations to remove the
      overlays immediately,
    - fixed setting status of multiple paragraphs at once,
    - fixed joining paragraphs,
    - fixed background image of the main text editor theme leaking to its
      child entry widgets,
    - fixed background color of the main text editor theme leaking to its
      child entry widgets,
    - fixed selecting a collapsed entry from the list when the current entry
      is a child of it,
    - fixed crash in upgrading old diaries,
    - some improvements in drag and drop in the entry list especially
      prevention of dropping an entry onto itself,
    - reenabled clear icon in EntryClear,
    - use native controls for Gtk 4.18 and above,
    - when duplicating, insert the copy after the last child of a collapsed
      paragraph,
    - add space after the cursor on Shift+Space,
    - scale up list number text for subheaders,
    - do not indent subheading paragraphs when converting them into lists,
    - implemented cycling through siblings of a tag via Alt +/-,
    - Lifeograph can run on MacOS now.
  * Refer online version of Free Software Foundation licence.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 22 May 2025 19:29:57 +0200

## lifeograph 3.0.4

=== meson_options.txt ===
option('run_install_script', type : 'boolean', value : true)

=== debian/changelog ===
lifeograph (3.0.4-1) unstable; urgency=medium

  * New upstream release:
    - added current entry options to the filter button in the export dialog,
    - in the entry list, when the current entry is not visible, highlight the
      first exposed parent of it in gray,
    - removed the exemption for non-indented paragraphs when parenting plain
      paras to bullet paras,
    - updated Brazilian Portuguese translation,
    - fixed some glitches in moving entries around the list,
    - fixed keeping selection when a parent is expanded/collapsed,
    - fixed crash on printing when an image is not found,
    - fixed and a bit optimized saving filtered entries,
    - prevent internal entry in the smart add dialog from being added to
      the diary,
    - fixed clearing background images of themes,
    - fixed loading theme icons that don't have a path,
    - fixed some glitches in the table view scrollbar.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Aug 2025 18:39:35 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  libenchant-2-dev, libshumate-dev, libgcrypt20-dev
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: http://lifeograph.sourceforge.net/wiki/Main_Page
+Homepage: https://lifeograph.sourceforge.net/
 
 Package: lifeograph
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILDDIR=$(CURDIR)/builddir/

override_dh_auto_configure:
	dh_auto_configure -- --buildtype=release

%:
	dh $@ --buildsystem=meson --builddirectory=$(BUILDDIR)

.PHONY: override_dh_auto_configure
